Atualizar lista
curl --request PATCH \
--url https://api.vendaze.com/v1/lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Clientes VIP"
}
'import requests
url = "https://api.vendaze.com/v1/lists/{id}"
payload = { "name": "Clientes VIP" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Clientes VIP'})
};
fetch('https://api.vendaze.com/v1/lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Assinantes da Newsletter",
"people_count": 142,
"companies_count": 0,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "not_found",
"message": "Webhook not found.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Listas
Atualizar lista
Atualiza uma lista de contatos. Apenas os campos enviados no body são alterados.
Escopo necessário
Escopo necessário
lists:write
PATCH
/
v1
/
lists
/
{id}
Atualizar lista
Autorizações
Access token OAuth 2.1.
Parâmetros de caminho
UUID do recurso.
Corpo
application/json
Todos os campos são opcionais. Apenas os campos enviados no body são alterados.
Novo nome de exibição.
Required string length:
1 - 50Exemplo:
"Clientes VIP"
Resposta
Lista atualizada com sucesso.
Show child attributes
Show child attributes
Esta página foi útil?
⌘I